// JavaScript Document
(function ($) {
  var options = {
    "sugotoku-shokai-banner": {
      "target page": [
        "01cpn064001",
        "01cpn141001",
        "01cpn147001",
        "01cpn160001",
        "01cpn165001",
        "01cpn280001",
        "01cpn287001",
      ],
      "exclude page": [],
      "target item": ["page-foot", "page-head"],
      period: { start: "2019/03/14 00:00", end: "2099/12/31 00:00" },
      url: "//www3.sourcenext.com/img/banner/sugotoku-for-nomember.jpg",
      anchor: "https://www.sugotoku.docomo.ne.jp/cs/cam/sugotoku/901/normal.html",
      target: undefined,
      alt: undefined,
      imageClass: ["SN-IMAGE_FIT"],
      htmlClass: ["for_notUser"],
    },
    click_dsiads_mopo_20200903: {
      "target page": ["01cpn160001"],
      "exclude page": [],
      "target item": ["columnUpperBanner"],
      period: { start: "2020/09/03 00:00", end: "2099/12/31 00:00" },
      url: "//www3.sourcenext.com/01cpn160001/answer/img/202009/MSCPA.gif",
      anchor: "https://click.dsiads.mopo.jp/?ID=J7MVHUEY&m=51464&a=203677",
      target: undefined,
      alt: undefined,
      imageClass: ["SN-IMAGE_FIT"],
      htmlClass: [],
    },
  };

  /** 以下は編集しない **/
  var set_banner = function (options) {
    var $banner_box,
      now,
      myURL = location.href,
      htmlClass = ".banner_box";
    now =
      typeof url_query.time === "undefined"
        ? new Date()
        : new Date(url_query.time.replace(/%20/gi, " "));
    $banner_box = $(htmlClass);

    for (var index in options) {
      var option = options[index],
        start = new Date(option.period.start),
        end = new Date(option.period.end),
        pageCheck = false,
        $box,
        $img;
      if (start > now || now >= end) continue;

      pageCheck = attributeCheck(myURL, option["target page"], false);
      if (!pageCheck) continue;
      pageCheck = attributeCheck(myURL, option["exclude page"], true);
      if (!pageCheck) continue;

      console.log(option.url);

      $img = $("<img />", { src: option.url });
      if (option.imageClass.length > 0)
        $img.addClass(option.imageClass.join(" "));
      if (typeof option.alt !== "undefined") $img.attr("alt", option.alt);
      if (typeof option.anchor === undefined) {
        $box = $("<span />");
      } else {
        $box = $("<a />", { href: option.anchor });
        if (typeof option.target !== "undefined")
          $box.attr("target", option.target);
      }

      var classArray = ["banner-box", index].concat(option.htmlClass);
      $box.addClass(classArray.join(" "));

      $banner_box.each(function () {
        var $this = $(this),
          classCheck = false;
        classCheck = attributeCheck(
          $this.attr("class"),
          option["target item"],
          false,
        );
        if (!classCheck) return true;
        classCheck = attributeCheck(
          $this.attr("class"),
          option["exclude item"],
          true,
        );
        if (!classCheck) return true;

        var $_box = $box.clone();
        $_box.append($img.clone());
        $this.append($_box);
      });
    }
  };
  var attributeCheck = function (attribute_string, checks, exclude) {
    var chk_bool = exclude;
    if (typeof checks === "undefined") return chk_bool;
    for (var i = 0; checks.length > i; i++) {
      var check = checks[i];
      if (attribute_string.indexOf(check) >= 0) chk_bool = !exclude;
    }
    return chk_bool;
  };

  $(function () {
    set_banner(options);
  });
})(jQuery);
